Subject: Re: bug#58688: [Trunk] menu.c:1401:3: error: implicit declaration of function 'cancel_hourglass' is invalid in C99

From: Jacob Faibussowitsch <[email-masked]>
Date: Fri, 21 Oct 2022 12:10:42 -0400

P.S. it builds now, thanks for the fix!

Best regards,

Jacob Faibussowitsch
(Jacob Fai - booss - oh - vitch)

> On Oct 21, 2022, at 12:09, Jacob Faibussowitsch <[email-masked]> wrote:
> 
>> Well, it would help if you'd posted your Emacs configuration with the
>> bug report to begin with.
> 
> I did. I attached my configure.log with the original mail. Or do attachments get scrubbed?
> 
> Best regards,
> 
> Jacob Faibussowitsch
> (Jacob Fai - booss - oh - vitch)
> 
>> On Oct 21, 2022, at 12:06, Eli Zaretskii <[email-masked]> wrote:
>> 
>>> From: Jacob Faibussowitsch <[email-masked]>
>>> Date: Fri, 21 Oct 2022 11:55:49 -0400
>>> Cc: [email-masked]
>>> 
>>> No dice I’m afraid. It appears cancel_hourglass() is gated behind HAVE_WINDOW_SYSTEM:
>>> 
>>> // src/dispextern.h
>>> ...
>>> #ifdef HAVE_WINDOW_SYSTEM
>>> 
>>> extern void start_hourglass (void);
>>> extern void cancel_hourglass (void);
>>> 
>>> Which I do not appear to have:
>> 
>> Well, it would help if you'd posted your Emacs configuration with the
>> bug report to begin with.
>> 
>> I've tried to fix this now.
>